/* GENERAL STYLES V.1 */


html {
    scroll-behavior: smooth;
}


section {
    position: relative;
}


img {
    height: 100%;
    width: auto;
    max-width: 100%;
    object-fit: contain;
}

a {
    text-decoration: none;
    color: inherit;
}

a:hover {
    text-decoration: none;
}


li {
    list-style: none;
}


.hidden {
    display: none;
}


.uppercase {
    text-transform: uppercase;
}

.text-white {
    color: #fff;
}

.no-padding {
    padding: 0;
}

.no-margin {
    margin: 0;
}

.no-margin-bottom {
    margin-bottom: 0;
}

.button-center {
    margin: 0 auto;
}



/* Margins ---------------------------- */
.margin-top-xs {
    margin-top: 20px;
}

.margin-top-sm {
    margin-top: 40px;
}

.margin-top-md {
    margin-top: 80px;
}

.margin-top-lg {
    margin-top: 120px;
}

.margin-top-xl {
    margin-top: 160px;
}

.margin-bottom-xs {
    margin-bottom: 20px;
}

.margin-bottom-sm {
    margin-bottom: 40px;
}

.margin-bottom-md {
    margin-bottom: 80px;
}

.margin-bottom-lg {
    margin-bottom: 120px;
}

/* Padding ---------------------------- */
.padding-top-xs {
    padding-top: 20px;
}

.padding-top-sm {
    padding-top: 40px;
}

.padding-top-md {
    padding-top: 80px;
}

.padding-top-lg {
    padding-top: 120px;
}

.padding-top-xl {
    padding-top: 160px;
}

.padding-bottom-xs {
    padding-bottom: 20px;
}

.padding-bottom-sm {
    padding-bottom: 40px;
}

.padding-bottom-md {
    padding-bottom: 80px;
}

.padding-bottom-lg {
    padding-bottom: 120px;
}

.padding-sides-md {
    padding: 0 5%;
}

/* =================================-- */
/* SECTION GENERAL LAYOUT */
/* =================================-- */   

.mobile {
    display: none;
}

.desktop {
    display: block;
}

.container {
    max-width: 1200px;
}


.section-title {
    margin-top: 30px;
    margin-bottom: 40px;
}

.container-narrow {
    max-width: 900px;
    /* margin: 0 auto; */
}

.container-small {
    max-width: 500px;
    /* margin: 0 auto; */
}

.text-narrow {
    max-width: 700px;
}

.section-orange {
    background-color: var(--orange);   
    color: #fff;
}

.section-blue {
    background: linear-gradient(-185deg, #0a569c, #4cb4e7);
}

.page-title {
    text-align: center;
    font-size: 3.5rem;
    font-weight: 900;
    text-transform: uppercase;
    color: #fff;
}

.section-title {
    text-align: center;
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
}

.orange-wave-bottom {
    position: absolute;
    left: 0;
    right: 0;
    top: -3px;
    width: 100%;
}

.orange-wave-top-bottom {
    position: absolute;
    left: 0;
    right: 0;
    top: -3px;
    width: 100%;
}

.orange-wave-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.orange-wave-top {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0px;
    width: 100%;
    z-index: 1;
}

/* =================================-- */
/* SECTION BUTTONS */
/* =================================-- */


.cta {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px 20px;
    min-width: 250px;
    max-width: 450px;
    border-radius: 15px;
    color: var(--black);
    font-weight: 900;
    font-size: 1.5rem;
    text-transform: uppercase;
    color: #fff;
    transition: 0.3s ease-in-out;
}

.cta-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    margin: 20px 0;
    z-index: 300;
}

.cta-orange {
    background-color: var(--orange);
    box-shadow: 0px 5px 0px #8E5101;
}
.cta-orange:hover {
    background-color: #F6581F;
    box-shadow: 0px 8px 0px #8E5101;
    transform: translateY(-3px);
}

.cta-blue {
    background-color: var(--blue);
    box-shadow: 0px 5px 0px #042449;
}
.cta-blue:hover {
    background-color: #10B4E7;
    box-shadow: 0px 8px 0px #042449;
    transform: translateY(-3px);
}

.cta-wide {
    min-width: 350px;
}



/* =================================-- */
/* SECTION NAVIGATION */
/* =================================-- */

/* Style the wrapper to reserve space */
.navbar-wrapper {
    position: relative;
    z-index: 20;
    padding-block: 1rem; /* Gives breathing room */
}


.navbar-mobile {
    display: none;
}

.navbar-brand {
    width: 250px;
    height: 0;
    opacity: 0;
}


.navbar-brand img{
    max-width: 250px;
    text-align: center;
}

.navbar-nav {
    margin: 0 auto;
}

.menu-item  {
    font-weight: 900;
    font-size: 1.2rem;
    color: #fff;
    text-transform: uppercase;
    transition: 0.3s ease-in-out;
    margin-inline: 10px;
    text-align: center;
}
.menu-item:hover {
    color: #D74527;
}

.navbar-toggler {
    position: absolute;
    right: 30px;
    top: 0;
    z-index: 100;
}

/* =============================== */
/*  SECTION FOOTER
/* =============================== */

footer {
    position: relative;
    padding: 5% 8% 5px 8%;
    background: var(--dark-green);
    color: #fff;
    margin-top: -5%;
  }

.footer-wave {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 50;
}

.footer-wave svg {
    min-height: 450px;
    max-height: 450px;
}

.footer-content {
    position: relative;
    z-index: 100;
}

.footer-logo {
    width: 100%;
    max-width: 300px;
    margin: 0 auto;
}


.contact-details {
    text-align: center;
    font-size: 0.9rem;
    margin-top: 20px;
    margin-bottom: 20px;
}

.contact-details p {
    margin-bottom: 0;
    text-align: left;
    max-width: 750px;
}


.footer-menu {
    margin-bottom: 20px;
}

.footer-menu .navbar-nav {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
}
.copyright {
    text-align: center;
    font-size: 0.9rem;
}

.footer-image {
    position: absolute;
    bottom: 30px;
    left: 90%;
    width: 100%;
    max-width: 200px;
    margin: 0 0 0 0;
}



/* ================================= */
/* =================================-- */
/* SECTION MEDIA QUERIES */
/* =================================-- */
/* =================================-- */

@media (max-width: 992px) {
    .navbar-desktop {
        display: none;
    }
    .navbar-mobile {
        display: block;
    }

    .offcanvas {
        background: linear-gradient(168deg, #22376C 16.45%, #1059A4 91.09%) !important;
        max-height: 400px;
        box-shadow: 0px 10px 30px #04244979;
    }

    .offcanvas .menu-item {
        text-align: center;
        /* padding-right: 10%; */
    }

    .btn-close {
        margin-top: 20px;
        color: #fff !important;
        position: relative;
    }

    .navbar-toggler {
        border: none;
        outline: none;
        margin-top: 20px;
        padding-bottom: 10px;
        background: var(--orange);
    }

    .navbar-toggler:focus {
        box-shadow: 0 0 15px #8E5101 !important

    }
    .navbar-toggler-icon {
        background-image:none;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .line {
        display: inline;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        width: 65%;
        height: 4px;
        background: #fff; 
        transition: all 0.3s ease;
      }

        .line1 { top: 20%; }
        .line2 { top: 46%; }
        .line3 { top: 72%; }



    .btn-close:before{
        content: "X";
        position: absolute;
        right: 10%;
        top: 0;
        font-weight: 900;
        font-size: 1.5rem;
        color: #fff !important;
        top: 0;
        left: -1px
    }

    .offcanvas-logo {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 20px;
    }

    .offcanvas-logo .navbar-brand {
        height: auto;
        opacity: 1;
    }

       /* FOOTER SECTION */
       .footer-image {
        display: none;
    }
   
}

@media (max-width: 568px) {
    .navbar-brand {
        width: 100%;
        text-align: center;
        margin-right: 0;
    }

    .cta {
        font-size: 1.2rem;
    }

    .navbar-brand-img {
        max-width: 200px;
    }
    .section-title {
        font-size: 2rem;
    }

    footer {
        margin-top: -10%;
    }

    .footer-wave svg {
        min-height: 550px !important;
    }

    .footer-logo {
        max-width: 200px;
    }
    .footer-menu li {
        font-size: 0.9rem;
    }

}

